Bug 1440620 - The help info of clear route status script need to be more specific
Summary: The help info of clear route status script need to be more specific
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.7.0
Assignee: Jacob Tanenbaum
QA Contact: zhaozhanqi
Jacob Tanenbaum
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-10 06:21 UTC by Yan Du
Modified: 2017-11-28 21:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The help info included included a redundant example Consequence: The help info was more verbose then required Fix: removed redundant example Result: The help info is more concise
Clone Of:
Environment:
Last Closed: 2017-11-28 21:53:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Origin (Github) 14130 None None None 2017-05-11 14:01:50 UTC
Red Hat Product Errata RHSA-2017:3188 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Container Platform 3.7 security, bug, and enhancement update 2017-11-29 02:34:54 UTC

Description Yan Du 2017-04-10 06:21:27 UTC
Description of problem:    
# ./clear-route-status.sh 
[root@host-8-174-54 ~]# ./clear-route-status.sh 
Usage:
To clear only the status set by a specific router on all routes in all namespaces
./clear-router-status.sh -r [router_name]
<---------------------------snip--------------------------->
To clear the whole status field of the route by route name  
./clear-route-status.sh [namespace] [route-name | ALL]
<---------------------------snip--------------------------->
To clear the status of route example in namespace default:
./clear-route-status.sh default example


The above two parts of the help info are duplicated

If the help info of './clear-route-status.sh default example' means clear route status in default namespaces, maybe it is already covered by below info: 
To clear the whole status field of the route by route name 
./clear-route-status.sh [namespace] [route-name | ALL]
since default is one of the namespaces in our env.


Version-Release number of selected component (if applicable):
oc v3.6.18
kubernetes v1.5.2+43a9be4
features: Basic-Auth GSSAPI Kerberos SPNEGO

How reproducible:
always

Steps to Reproduce:
1. ssh into master
2. wget https://raw.githubusercontent.com/openshift/origin/master/images/router/clear-route-status.sh
3. ./clear-route-status.sh

Actual results:
Same as description

Expected result:
It is better to remove the help info of './clear-route-status.sh default example' part

Comment 1 Jacob Tanenbaum 2017-05-08 19:57:31 UTC
The upper portion of the help text is general usage and the lower portions are usage examples. Would labelling the lower section of the help text as examples suffice? I don't think they should be removed. 

However the lines:
 
To clear the whole status field of the route by route name
./clear-route-status.sh [namespace] [route-name | ALL]


Should be changed to:

To clear the status field of a route or all routes in a given namespace 
./clear-route-status.sh [namespace] [route-name | ALL]

Comment 2 Yan Du 2017-05-09 05:35:08 UTC
OK, that makes sense, thanks for your clarification.

Comment 3 Jacob Tanenbaum 2017-05-11 14:01:51 UTC
Origin PR: https://github.com/openshift/origin/pull/14130

Comment 4 openshift-github-bot 2017-05-17 07:02:21 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/1599d80807ec4f1940b0dea39f52d737cb4fb625
fix the help text in the clear-route-status script

QA reported that they felt the help text was not clear enough.
I Tagged the examples as examples and reworded a section

Bug: 1440620

Comment 5 Yan Du 2017-06-07 05:47:17 UTC
Help info looks good:

[root@host-8-174-34 ~]# ./clear-route-status.sh -h
Usage:
To clear only the status set by a specific router on all routes in all namespaces
./clear-router-status.sh -r [router_name]

router_name is the name in the deployment config, not the name of the pod. If the router is running it will
immediately update any cleared status.

To clear the status field of a route or all routes in a given namespace
./clear-route-status.sh [namespace] [route-name | ALL]

Please move bug to ON_QA, then qe could verify it. Thanks

Comment 6 Yan Du 2017-09-14 02:03:20 UTC
The help info looks good to me. Move the bug to verify.

[root@openshift-master /]# ./clear-route-status.sh 
Usage:
To clear only the status set by a specific router on all routes in all namespaces
./clear-router-status.sh -r [router_name]

router_name is the name in the deployment config, not the name of the pod. If the router is running it will
immediately update any cleared status.

To clear the status field of a route or all routes in a given namespace
./clear-route-status.sh [namespace] [route-name | ALL]

Comment 10 errata-xmlrpc 2017-11-28 21:53:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188


Note You need to log in before you can comment on or make changes to this bug.